 MODULE comvarp3d

   !!======================================================================
   !!                   ***  MODULE comvarp3d  ***
   !! 
   !! ** Description :
   !!    uz  : zonal component of total (barotropic+baroclinic) velocity (in m/s)
   !!    vz  : meridional component of total (barotropic+baroclinic) velocity (in m/s)
   !!    uvz : work array containing the zonal or meridional component
   !!          of total (barotropic+baroclinic) velocity (in m/s),
   !!          depending on the current integration (uz if stepu, vz if stepv)
   !!    boz : sea water buoyancy (in m/s2)
   !!    ect : turbulent kinetic energy (in m2/s2)
   !!    psi : kl, epsilon or omega, depending on the type of 2-equation model
   !!
   !!======================================================================
   !! * Modules used
   USE parameters

   !! * Shared or public module variables
   REAL(kind=rsh),ALLOCATABLE,DIMENSION(:,:,:) :: uz,vz,ect,psi
#ifdef key_turbadv
   REAL(kind=rsh),ALLOCATABLE,DIMENSION(:,:,:) :: ect2,psi2
#endif
   REAL(kind=rsh),ALLOCATABLE,DIMENSION(:,:,:) :: boz
   REAL(kind=rsh),ALLOCATABLE,DIMENSION(:,:,:) :: pn2

 END MODULE comvarp3d
